/**
 * 把模块转换成路由信息
 * @param {ESModule} module
 * @param {string} pId
 * @returns
 */
export function transModule2Route(module, pId) {
    return Object.keys(module).map((key) => {
        const item = module[key];
        const text = item.demoText || item.xtype;
        return {
            pId,
            value: item.xtype,
            text: text
        };
    });
}
