
import { IconButton, FloatLeftLayout, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class IconButtonDemo extends Widget {
    static xtype = "demo.icon_button";

    props = { baseCls: "demo-button" };

    render() {
        const items = [
            {
                el: {
                    type: IconButton.xtype,
                    cls: "close-ha-font",
                    width: 25,
                    height: 25,
                },
            }
        ];

        return {
            type: FloatLeftLayout.xtype,
            vgap: 200,
            hgap: 20,
            items,
        };
    }
}

