
import { ImageButton, FloatLeftLayout, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class ImageButtonDemo extends Widget {
    static xtype = "demo.image_button";

    props = { baseCls: "demo-button" };

    render() {
        const items = [
            {
                el: {
                    type: ImageButton.xtype,
                    src: "http://www.easyicon.net/api/resizeApi.php?id=1206741&size=128",
                    width: 100,
                    height: 100,
                },
            }
        ];

        return {
            type: FloatLeftLayout.xtype,
            vgap: 200,
            hgap: 20,
            items,
        };
    }
}

