
import { TextButton, FloatLeftLayout, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class TextButtonDemo extends Widget {
    static xtype = "demo.text_button";

    props = { baseCls: "demo-button" };

    render() {
        const items = [
            {
                el: {
                    type: TextButton.xtype,
                    text: "文字按钮",
                    height: 30,
                    keyword: "w",
                },
            }
        ];

        return {
            type: FloatLeftLayout.xtype,
            vgap: 200,
            hgap: 20,
            items,
        };
    }
}

