import { DefaultLayout, Label, IconLabel, Decorators, Widget } from "@fui/core";

@Decorators.shortcut()
export class IconLabelDemo extends Widget {
    static xtype = "demo.icon_label";

    props = { baseCls: "demo-bubble" };

    render() {
        return {
            type: DefaultLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "这是一个icon标签,在加了border之后仍然是居中显示的"
                },
                {
                    type: IconLabel.xtype,
                    cls: "date-font bi-border",
                    height: 40,
                    width: 40
                }
            ]
        };
    }
}
