
import { HorizontalAutoLayout, EditorIconCheckCombo, Button, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class EditorIconCheckComboDemo extends Widget {
    static xtype = "demo.editor_icon_check_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: EditorIconCheckCombo.xtype,
                    ref() {
                        self.combo = this;
                    },
                    watermark: "默认值",
                    width: 200,
                    height: 24,
                    value: 2,
                    items: [
                        {
                            // text: "MVC-1",
                            value: "1",
                        },
                        {
                            // text: "MVC-2",
                            value: "2",
                        },
                        {
                            // text: "MVC-3",
                            value: "3",
                        }
                    ],
                },
                {
                    type: Button.xtype,
                    width: 90,
                    height: 25,
                    text: "setValue为空",
                    handler() {
                        self.combo.setValue();
                    },
                }
            ],
            vgap: 20,
        };
    }
}

