
import { HorizontalAutoLayout, IconTextValueCombo, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class IconTextValueComboDemo extends Widget {
    static xtype = "demo.icon_text_value_combo";

    props = { baseCls: "" };

    render() {
        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: IconTextValueCombo.xtype,
                    text: "默认值",
                    // defaultIconCls: "next-page-h-font",
                    width: 300,
                    items: [
                        {
                            text: "MVC-1",
                            iconCls: "close-font",
                            value: 1,
                        },
                        {
                            text: "MVC-2",
                            iconCls: "date-font",
                            value: 2,
                        },
                        {
                            text: "MVC-3",
                            iconCls: "search-close-h-font",
                            value: 3,
                        }
                    ],
                }
            ],
            vgap: 20,
        };
    }
}

