
import { Msg, HorizontalAutoLayout, TextValueCheckCombo, Button, Decorators, Widget } from "@fui/core"



@Decorators.shortcut()
export class TextValueCheckComboDemo extends Widget {
    static xtype = "demo.text_value_check_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: TextValueCheckCombo.xtype,
                    ref () {
                        self.combo = this;
                    },
                    text: "默认值",
                    // value: 1,
                    width: 300,
                    items: [
                        {
                            text: "MVC-1",
                            value: 1,
                        },
                        {
                            text: "MVC-2",
                            value: 2,
                        },
                        {
                            text: "MVC-3",
                            value: 3,
                        }
                    ],
                },
                {
                    type: Button.xtype,
                    width: 90,
                    height: 25,
                    handler () {
                        Msg.alert("", JSON.stringify(self.combo.getValue()));
                    },
                }
            ],
            vgap: 20,
        };
    }
}

