
import { VerticalLayout, IconTextItem, Decorators, Widget, createItems } from "@fui/core"


@Decorators.shortcut()
export class ClickItemEffectDemo extends Widget {
    static xtype = "demo.click_item_effect";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: VerticalLayout.xtype,
            items: createItems(
                [
                    {
                        text: "bi-list-item",
                        cls: "bi-list-item close-font",
                    },
                    {
                        text: "bi-list-item-simple",
                        cls: "bi-list-item-simple close-font",
                    },
                    {
                        text: "bi-list-item-effect",
                        cls: "bi-list-item-effect close-font",
                    },
                    {
                        text: "bi-list-item-active",
                        cls: "bi-list-item-active close-font",
                    },
                    {
                        text: "bi-list-item-active2",
                        cls: "bi-list-item-active2 close-font",
                    },
                    {
                        text: "bi-list-item-select",
                        cls: "bi-list-item-select close-font",
                    },
                    {
                        text: "bi-list-item-select2",
                        cls: "bi-list-item-select2 close-font",
                    }
                ],
                {
                    type: IconTextItem.xtype,
                    logic: {
                        dynamic: true,
                    },
                }
            ),
            vgap: 10,
        };
    }
}

