
import { AbsoluteLayout, ColorChooser, SimpleColorChooser, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class ColorChooserDemo extends Widget {
    static xtype = "demo.color_chooser";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: ColorChooser.xtype,
                        recommendColorsGetter() {
                            return ["#ffffff", "#9d775f", "#dd4b4b", "#ef8b07", "#fcc800"];
                        },
                        width: 24,
                        height: 24,
                    },
                    left: 100,
                    top: 250,
                },
                {
                    el: {
                        type: SimpleColorChooser.xtype,
                        width: 30,
                        height: 24,
                    },
                    left: 400,
                    top: 250,
                },
                {
                    el: {
                        type: ColorChooser.xtype,
                        width: 230,
                        height: 24,
                    },
                    left: 100,
                    top: 350,
                }
            ],
        };
    }
}

