
import { HorizontalLayout, Segment, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class SegmentDemo extends Widget {
    static xtype = "demo.segment";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: HorizontalLayout.xtype,
            element: this,
            vgap: 20,
            hgap: 30,
            items: [
                {
                    type: Segment.xtype,
                    items: [
                        {
                            text: "较长的选项1",
                            value: 1,
                        },
                        {
                            text: "选项2",
                            value: 2,
                        },
                        {
                            text: "选项3",
                            value: 3,
                        }
                    ],
                }
            ],
        });
    }
}

