
import { HorizontalAutoLayout, ClearEditor, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class ClearEditorDemo extends Widget {
    static xtype = "demo.clear_editor";

    props = { baseCls: "" };

    render() {
        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: ClearEditor.xtype,
                    cls: "bi-border",
                    width: 300,
                    watermark: "这个是带清除按钮的",
                    value: 123,
                }
            ],
            vgap: 20,
        };
    }
}

