
import { VerticalLayout, Label, MultiSelectItem, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class MultiSelectItemDemo extends Widget {
    static xtype = "demo.multi_select_item";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "复选item",
                },
                {
                    type: MultiSelectItem.xtype,
                    text: "复选项",
                }
            ],
            hgap: 300,
        };
    }
}

