import {
    ButtonTree,
    VerticalLayout,
    CenterAdaptLayout,
    Label,
    Button,
    Decorators,
    Widget,
    ButtonGroup
} from "@fui/core";

@Decorators.shortcut()
export class ButtonTreeDemo extends Widget {
    static xtype = "demo.button_tree";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: ButtonTree.xtype,
            chooseType: ButtonGroup.CHOOSE_TYPE_MULTI,
            layouts: [
                {
                    type: VerticalLayout.xtype
                },
                {
                    type: CenterAdaptLayout.xtype
                }
            ],
            items: [
                {
                    type: Label.xtype,
                    text: "0",
                    value: 0
                },
                {
                    type: Button.xtype,
                    text: "1",
                    value: 1
                }
            ]
        };
    }
}
