
import { VerticalLayout, TdLayout, Label, Decorators, Widget, createItems } from "@fui/core"


@Decorators.shortcut()
export class TdLayoutDemo extends Widget {
    static xtype = "demo.td";

    props = { baseCls: "demo-td" };

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: TdLayout.xtype,
                    columnSize: [100, 100, ""],
                    items: createItems(
                        [
                            [
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg1",
                                    },
                                },
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg2",
                                    },
                                },
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg3",
                                    },
                                }
                            ],
                            [
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg5",
                                    },
                                },
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg6",
                                    },
                                },
                                {
                                    el: {
                                        type: Label.xtype,
                                        text: "这是一段可以换行的文字，为了使它换行我要多写几个字，但是我又凑不够这么多的字，万般焦急下，只能随便写写",
                                        cls: "layout-bg7",
                                    },
                                }
                            ]
                        ],
                        {
                            whiteSpace: "normal",
                        }
                    ),
                }
            ],
        };
    }
}

