
import { VerticalLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class VerticalLayoutDemo extends Widget {
    static xtype = "demo.vertical";

    props = { baseCls: "demo-vertical" };

    render() {
        return {
            type: VerticalLayout.xtype,
            vgap: 10,
            items: [
                {
                    type: Label.xtype,
                    cls: "layout-bg3",
                    text: "垂直布局",
                    height: 30,
                },
                {
                    type: Label.xtype,
                    cls: "layout-bg4",
                    text: "垂直布局",
                    height: 30,
                }
            ],
        };
    }
}

