import {
    Widget,
    VerticalLayout,
    TextButton,
    SingleSelectItem,
    SingleSelectRadioItem,
    Label,
    MultiSelectItem,
    Switch,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class Items extends Widget {
    static xtype = "demo.items";

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: TextButton.xtype,
                    cls: "bi-list-item-select bi-high-light-border bi-border",
                    height: 30,
                    level: "warning",
                    text: "单选item"
                },
                {
                    type: SingleSelectItem.xtype,
                    text: "单选项"
                },
                {
                    type: SingleSelectRadioItem.xtype,
                    text: "单选项"
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "复选item"
                },
                {
                    type: MultiSelectItem.xtype,
                    text: "复选项"
                },
                {
                    type: Switch.xtype,
                    selected: true
                }
            ],
            hgap: 300
        };
    }
}
