import {
    Widget,
    VerticalLayout,
    Label,
    PlusGroupNode,
    ArrowNode,
    IconArrowNode,
    MultiLayerIconArrowNode,
    Decorators,
} from "@fui/core";

@Decorators.shortcut()
export class NodesDemo extends Widget {
    static xtype = "demo.nodes";

    render(vessel) {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "十字形的节点"
                },
                {
                    type: PlusGroupNode.xtype,
                    text: "十字形的节点"
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "箭头节点"
                },
                {
                    type: ArrowNode.xtype,
                    text: "箭头节点"
                },
                {
                    type: IconArrowNode.xtype,
                    iconCls: "search-font",
                    text: "箭头图标节点"
                },
                {
                    type: MultiLayerIconArrowNode.xtype,
                    layer: 2
                }
            ]
        };
    }
}
