import { HorizontalAutoLayout, TextEditor,  Decorators, Widget } from "@fui/core";

@Decorators.shortcut()
export class TextEditorDemo extends Widget {
    static xtype = "demo.text_editor";

    props = { baseCls: "demo-exceltable" };

    render() {
        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: TextEditor.xtype,
                    watermark: "这是水印,watermark",
                    width: 300
                },
                {
                    type: TextEditor.xtype,
                    watermark: "这个不予许空",
                    allowBlank: false,
                    errorText: "非空!",
                    width: 300
                }
            ],
            vgap: 20
        };
    }
}
