
import { HorizontalAutoLayout, DynamicYearMonthCombo, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class YearMonthComboDemo extends Widget {
    static xtype = "demo.year_month_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: DynamicYearMonthCombo.xtype,
                    ref(_ref) {
                        self.widget = _ref;
                    },
                    width: 300,
                    // value: {
                    //     type: 1,
                    //     value: {
                    //         year: 2018,
                    //         month: 1
                    //     }
                    // }
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.widget.getValue()));
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setValue '2017-12'",
                    width: 300,
                    handler() {
                        self.widget.setValue({
                            year: 2017,
                            month: 12,
                        });
                    },
                }
            ],
            vgap: 20,
        };
    }
}

