import { Single } from "../0.single";
import { shortcut, extend, isIE9Below } from "@/core";

/**
 * guy 图标
 * @class Icon
 * @extends Single
 */

@shortcut()
export class Icon extends Single {
    static xtype = "bi.icon";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            tagName: "i",
            baseCls: `${conf.baseCls || ""} x-icon b-font horizon-center display-block`,
        });
    }

    render() {
        if (isIE9Below && isIE9Below()) {
            this.element.addClass("hack");
        }
    }
}
