import { Html } from "../html/html";
import { AbstractLabel } from "./abstract.label";
import { shortcut } from "@/core";

/**
 * Created by GUY on 2015/6/26.
 */

@shortcut()
export class HtmlLabel extends AbstractLabel {
    static xtype = "bi.html_label";

    props = {
        baseCls: "bi-html-label",
    };

    _createJson() {
        const { textAlign, whiteSpace, textHeight, text, value, handler } = this.options;

        return {
            type: Html.xtype,
            textAlign,
            whiteSpace,
            lineHeight: textHeight,
            text,
            value,
            handler,
        };
    }
}
