import { Single } from "../0.single";
import { extend, zIndex_tip } from "@/core";

/**
 * guy
 * tip提示
 * zIndex在10亿级别
 * @class Tip
 * @extends Single
 * @abstract
 */

export class Tip extends Single {
    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            _baseCls: `${conf._baseCls || ""} bi-tip`,
            zIndex: zIndex_tip,
        });
    }

    _init() {
        super._init();
        this.element.css({ zIndex: this.options.zIndex });
    }
}
