import { IconButton } from "@/base";
import { shortcut, extend } from "@/core";

@shortcut()
export class HalfIconButton extends IconButton {
    static xtype = "bi.half_icon_button";
    static EVENT_CHANGE = IconButton.EVENT_CHANGE;

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            extraCls: "bi-half-icon-button check-half-select-icon",
            height: 16,
            width: 16,
            iconWidth: 16,
            iconHeight: 16,
            selected: false,
        });
    }
}
