import { each } from "../../2.base";

export const registClassFun = Element => {
    Element.registerFunction("addClass", function (classList) {
        each(classList.split(" "), (i, cls) => {
            if (cls && !this.classMap[cls]) {
                this.classList.push(cls);
            }
            cls && (this.classMap[cls] = true);
        });
        
        return this;
    });

    Element.registerFunction("removeClass", function (classList) {
        each(classList.split(" "), (i, cls) => {
            if (cls && this.classMap[cls]) {
                delete this.classMap[cls];
                this.classList.splice(this.classList.indexOf(cls), 1);
            }
        });
        
        return this;
    });
};
