import { shortcut, extend } from "@/core";
import { SearchEditor } from "./editor.search";

@shortcut()
export class SmallSearchEditor extends SearchEditor {
    static xtype = "bi.small_search_editor";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-small-search-editor`,
            height: 20,
        });
    }

    _init() {
        super._init(...arguments);
    }
}
