import { shortcut, Widget, Layout } from "@/core";

@shortcut()
export class SliderIconButton extends Widget {
    static xtype = "bi.single_slider_button";

    props = {
        baseCls: "bi-single-slider-button slider-button bi-high-light-border",
        height: 8,
        width: 8,
    };
    constants = {
        LARGE_SIZE: 16,
        NORMAL_SIZE: 12,
        LARGE_OFFSET: 4,
        NORMAL_OFFSET: 6,
    };

    render() {
        return {
            type: Layout.xtype,
        };
    }
}
