// sideEffects
import "./core/system";

import * as _core from "./core";
import * as _base from "./base";
import * as _fix from "./fix";
import * as _router from "./router";

export * as Popper from "@popperjs/core";

import * as D from "@/core/decorator";
import { Fix } from "./fix";

const Decorators = { ...D, Model: Fix.Model };

const fuiExport = {
    ..._core,
    ..._base,
    ..._fix,
    ..._router
};

import * as injectFn from "@/core/5.inject";
import { _global } from "@/core/0.foundation";
import { _defineVarProperties } from "@/core/constant/writable.var";

_global.BI = _global.BI || {};

Object.assign(_global, {
    Fix: fuiExport.Fix,
    _: fuiExport._,
});

Object.assign(_global.BI, fuiExport, injectFn, { Decorators, });

_defineVarProperties(_global.BI);
