import { LayerController } from "../core/controller/controller.layer";
import { BroadcastController } from "../core/controller/controller.broadcast";
import { StyleLoaderManager } from "../core/loader/loader.style";
import { BubblesController } from "../core/controller/controller.bubbles";
import { PopoverController } from "../core/controller/controller.popovers";
import { MaskersController } from "../core/controller/controller.masker";
import { ResizeController } from "../core/controller/controller.resizer";

export const Layers = new LayerController();

export const Maskers = new MaskersController();

export const Bubbles = new BubblesController();

export const Broadcasts = new BroadcastController();

export const StyleLoaders = new StyleLoaderManager();

export const Popovers = new PopoverController();

export const Resizers = new ResizeController();
