type toastOptions = {
    level: "success" | "warning" | "error" | "normal" | "loading"
    autoClose?: boolean
    callback?: Function
    closable?: boolean
}

export declare namespace Msg {
    function alert(title: string, message?: string | {
        [key: string]: any
    }, callback?: (result?: boolean) => void, config?: {
        buttonHeight?: number,
        sureText?: string,
        cancelText?: string,
        level?: 'success' | 'warning' | 'error' | 'info',
        footer?: (onClose: Function) => Obj;
    }): void

    function confirm(title: string, message?: string | {
        [key: string]: any
    }, callback?: (result: boolean) => void, config?: {
        buttonHeight?: number,
        sureText?: string,
        cancelText?: string,
        level?: 'success' | 'warning' | 'error' | 'info',
        footer?: (onClose: Function) => Obj;
    }): void

    function toast(message: string | Obj, options?: toastOptions | string, context?: HTMLElement): Function
}
