import { Single } from 'typescript/base/single/single';
import { Widget } from '../../core/widget';

export declare class ColorChooser extends Widget {
    static xtype: string;
    static EVENT_CHANGE: string;
    static EVENT_AFTER_POPUPVIEW: string;

    props: {
        stopEvent?: boolean;
        colorBoardHeight?: number;
        colorItems?: { value: string }[][];
    } & Single["props"];

    isViewVisible(): boolean;

    hideView(): void;

    showView(): void;
}
