import { Widget } from "./widget";

type configWidgetFn = (type: string, options: Obj) => void
type configObjectFn = (type: string, widget: Widget) => void

export declare namespace Plugin {
    function config(widgetFunction: configWidgetFn | configWidgetFn[], objectFunction: configObjectFn | configObjectFn[]): void

    function configWidget(shortcut: string, widgetFunction: configWidgetFn): void

    function registerObject(shortcut: string, objectFunction: configObjectFn): void
}
