export declare const MAX: number;
export declare const MIN: number;
export declare const EVENT_RESPONSE_TIME: number;
export declare const zIndex_layer: number;
export declare const zIndex_popover: number;
export declare const zIndex_popup: number;
export declare const zIndex_masker: number;
export declare const zIndex_tip: number;
export declare const emptyStr: string;
export declare const emptyFn: Function;
export declare const empty: null;
export declare const Key: {
    48: string;
    49: string;
    50: string;
    51: string;
    52: string;
    53: string;
    54: string;
    55: string;
    56: string;
    57: string;
    65: string;
    66: string;
    67: string;
    68: string;
    69: string;
    70: string;
    71: string;
    72: string;
    73: string;
    74: string;
    75: string;
    76: string;
    77: string;
    78: string;
    79: string;
    80: string;
    81: string;
    82: string;
    83: string;
    84: string;
    85: string;
    86: string;
    87: string;
    88: string;
    89: string;
    90: string;
    96: string;
    97: string;
    98: string;
    99: string;
    100: string;
    101: string;
    102: string;
    103: string;
    104: string;
    105: string;
    106: string;
    107: string;
    109: string;
    110: string;
    111: string;
};
export declare const KeyCode: {
    BACKSPACE: number;
    COMMA: number;
    DELETE: number;
    DOWN: number;
    END: number;
    ENTER: number;
    ESCAPE: number;
    HOME: number;
    LEFT: number;
    NUMPAD_ADD: number;
    NUMPAD_DECIMAL: number;
    NUMPAD_DIVIDE: number;
    NUMPAD_ENTER: number;
    NUMPAD_MULTIPLY: number;
    NUMPAD_SUBTRACT: number;
    PAGE_DOWN: number;
    PAGE_UP: number;
    PERIOD: number;
    RIGHT: number;
    SPACE: number;
    TAB: number;
    UP: number;
};
export declare const Status: {
    SUCCESS: number;
    WRONG: number;
    START: number;
    END: number;
    WAITING: number;
    READY: number;
    RUNNING: number;
    OUTOFBOUNDS: number;
    NULL: number;
};
export declare const Direction: {
    Top: string;
    Bottom: string;
    Left: string;
    Right: string;
    Custom: string;
};
export declare const Axis: {
    Vertical: string;
    Horizontal: string;
};
export declare const Selection: {
    Default: number;
    None: number;
    Single: number;
    Multi: number;
    All: number;
};
export declare const HorizontalAlign: {
    Left: string;
    Right: string;
    Center: string;
    Stretch: string;
};
export declare const VerticalAlign: {
    Middle: string;
    Top: string;
    Bottom: string;
    Stretch: string;
};
export declare const StartOfWeek: number;
export declare const BlankSplitChar: string;
export declare const Events: Record<string, string>;
export declare const PasteLimit: number;

type SetFunc = (value: any) => void;

export declare const setEventResponseTime: SetFunc;
export declare const setPixUnit: SetFunc;
export declare const setPixRatio: SetFunc;
export declare const setStartOfWeek: SetFunc;
export declare const setBlankSplitChar: SetFunc;
export declare const setPixFormat: SetFunc;
export declare const setToPix: SetFunc;
export declare const setEventBlur: SetFunc;
export declare const setPasteLimit: SetFunc;
