import { Decorators , Widget, RouterView, Router } from '@fui/core';

@Decorators.shortcut()
export class Center extends Widget {
    static xtype = 'demo.center';

    props = { baseCls: 'demo-center' };

    render() {
        const self = this;

        return {
            type: RouterView.xtype,
        };
    }
}

@Decorators.shortcut()
export class RouterDemo extends Widget {
    static xtype = 'demo.router';

    props = {
        baseCls: 'demo-router',
    };

    render() {
        const params = Router.$router.history.current.params;
        return {
            type: params.componentId,
        };
    }
}
