import { Decorators, Widget, VerticalLayout, Html } from "@fui/core";

@Decorators.shortcut()
export class HtmlDemo extends Widget {
    static xtype = "demo.html";

    props = { baseCls: "demo-html" };

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Html.xtype,
                    text: "<h1>在bi.html标签中使用html原生标签</h1>"
                },
                {
                    type: Html.xtype,
                    text: "<ul>ul列表<li>list item1</li><li>list item2</li></ul>"
                }
            ],
            hgap: 300,
            vgap: 20
        };
    }
}
