import { Decorators,  Widget, Msg, CenterAdaptLayout, Button } from "@fui/core";

@Decorators.shortcut()
export class MessageDemo extends Widget {
    static xtype = "demo.message";

    props = { baseCls: "demo-bubble" };

    render() {
        return {
            type: CenterAdaptLayout.xtype,
            items: [
                {
                    el: {
                        type: Button.xtype,
                        text: "点击我弹出一个消息框",
                        height: 30,
                        handler() {
                            Msg.alert("测试消息框", "我是测试消息框的内容");
                        }
                    }
                }
            ]
        };
    }
}
