
import { AbsoluteLayout, AdaptiveLayout, MultifileEditor, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class CodeEditorDemo extends Widget {
    static xtype = "demo.multifile_editor";

    props = { baseCls: "demo-editor" };

    render() {
        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: AdaptiveLayout.xtype,
                        cls: "layout-bg1",
                        items: [
                            {
                                type: MultifileEditor.xtype,
                                width: 400,
                                height: 300,
                            }
                        ],
                        width: 400,
                        height: 300,
                    },
                    top: 50,
                    left: 50,
                }
            ],
        };
    }
}

