
import { HorizontalAutoLayout, IconCombo, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class IconComboDemo extends Widget {
    static xtype = "demo.icon_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: IconCombo.xtype,
                    container: "body",
                    ref(_ref) {
                        self.refs = _ref;
                    },
                    value: "第二项",
                    items: [
                        {
                            value: "第一项",
                            iconCls: "close-font",
                        },
                        {
                            value: "第二项",
                            iconCls: "search-font",
                        },
                        {
                            value: "第三项",
                            iconCls: "copy-font",
                        }
                    ],
                }
            ],
            vgap: 20,
        };
    }
}

