
import { AbsoluteLayout, ColorChooserPopup, SimpleColorChooserPopup, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class ColorChooserPopupDemo extends Widget {
    static xtype = "demo.color_chooser_popup";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: ColorChooserPopup.xtype,
                        cls: "bi-card",
                    },
                    left: 100,
                    top: 250,
                },
                {
                    el: {
                        type: SimpleColorChooserPopup.xtype,
                        cls: "bi-card",
                    },
                    left: 400,
                    top: 250,
                }
            ],
        };
    }
}

