
import { VerticalLayout, Label, SingleSelectItem, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class SingleSelectItemDemo extends Widget {
    static xtype = "demo.single_select_item";

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "单选item",
                },
                {
                    type: SingleSelectItem.xtype,
                    text: "单选项",
                }
            ],
            hgap: 300,
        };
    }
}

