import {
    VerticalLayout,
    Label,
    SingleSelectRadioItem,
    Decorators,
    Widget
} from "@fui/core";

@Decorators.shortcut()
export class SingleSelectRadioItemDemo extends Widget {
    static xtype = "demo.single_select_radio_item";

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "单选item"
                },
                {
                    type: SingleSelectRadioItem.xtype,
                    text: "单选项"
                }
            ],
            hgap: 300
        };
    }
}
