import {
    VerticalLayout,
    Label,
    AllCountPager,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class AllCountPagerDemo extends Widget {
    static xtype = "demo.all_count_pager";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: VerticalLayout.xtype,
            hgap: 200,
            vgap: 50,
            element: this,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: " (测试条件：总页数为3)"
                },
                {
                    type: AllCountPager.xtype,
                    pages: 3,
                    curr: 1,
                    count: 1000
                }
            ]
        });
    }
}
