import {
    VerticalLayout,
    Label,
    EditorTrigger,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class EditorTriggerDemo extends Widget {
    static xtype = "demo.editor_trigger";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            items: [
                {
                    type: Label.xtype,
                    text: "输入框加图标的trigger"
                },
                {
                    type: EditorTrigger.xtype,
                    watermark: "这是水印",
                    width: 200,
                    height: 24
                }
            ],
            hgap: 20,
            vgap: 20
        });
    }
}
