import {
    VerticalLayout,
    Label,
    IconTrigger,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class IconTriggerDemo extends Widget {
    static xtype = "demo.icon_trigger";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            items: [
                {
                    type: Label.xtype,
                    text: "只有一个图标的trigger"
                },
                {
                    type: IconTrigger.xtype,
                    width: 30,
                    height: 24
                }
            ],
            hgap: 20,
            vgap: 20
        });
    }
}
