import {
    VerticalLayout,
    Label,
    SelectTextTrigger,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class SelectTextTriggerDemo extends Widget {
    static xtype = "demo.select_text_trigger";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            items: [
                {
                    type: Label.xtype,
                    text: "可被选择的trigger"
                },
                {
                    type: SelectTextTrigger.xtype,
                    text: "这是一个简单的trigger",
                    width: 200,
                    height: 24
                }
            ],
            hgap: 20,
            vgap: 20
        });
    }
}
