import {
    VerticalLayout,
    Label,
    TextTrigger,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class TextTriggerDemo extends Widget {
    static xtype = "demo.text_trigger";

    props = { baseCls: "demo-func" };

    render() {
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            items: [
                {
                    type: Label.xtype,
                    text: "文本加图标的trigger"
                },
                {
                    type: TextTrigger.xtype,
                    text: "这是一个简单的trigger",
                    width: 200,
                    height: 24
                }
            ],
            hgap: 20,
            vgap: 20
        });
    }
}
