import { CONSTANTS } from "@/config/constant";

import { ValueChooserCombo, VerticalLayout, Decorators, Widget, createWidget, deepClone } from "@fui/core"


@Decorators.shortcut()
export class ValueChooserComboDemo extends Widget {
    static xtype = "demo.value_chooser_combo";

    props = { baseCls: "demo-value-chooser-combo" };

    render() {
        const widget = createWidget({
            type: ValueChooserCombo.xtype,
            itemsCreator (op, callback) {
                callback(deepClone(CONSTANTS.ITEMS));
            },
        });

        return {
            type: VerticalLayout.xtype,
            hgap: 200,
            vgap: 10,
            items: [widget],
        };
    }
}

