import { CONSTANTS } from "@/config/constant";
import { ValueChooserPane, Decorators, Widget, deepClone } from "@fui/core";

@Decorators.shortcut()
export class ValueChooserPaneDemo extends Widget {
    static xtype = "demo.value_chooser_pane";

    props = { baseCls: "demo-value-chooser-pane" };

    render() {
        return {
            type: ValueChooserPane.xtype,
            items: deepClone(CONSTANTS.ITEMS)
        };
    }
}
