
import { AbsoluteLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class AbsoluteLayoutDemo extends Widget {
    static xtype = "demo.absolute";

    props = { baseCls: "demo-absolute" };

    render() {
        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: Label.xtype,
                        text: "绝对布局",
                        cls: "layout-bg1",
                        width: 300,
                        height: 200,
                    },
                    left: 100,
                    top: 100,
                }
            ],
        };
    }
}

