
import { CenterAdaptLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class CenterAdaptDemo extends Widget {
    static xtype = "demo.center_adapt";

    props = { baseCls: "demo-absolute" };

    render() {
        return {
            type: CenterAdaptLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "水平垂直居中",
                    width: 300,
                    height: 200,
                    cls: "layout-bg1",
                }
            ],
        };
    }
}

