
import { FloatCenterLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class FloatCenterLayoutDemo extends Widget {
    static xtype = "demo.float_center";

    props = { baseCls: "demo-float-center" };

    render() {
        return {
            type: FloatCenterLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "floatCenter与center的不同在于，它可以控制最小宽度和最大宽度",
                    cls: "layout-bg1",
                    whiteSpace: "normal",
                },
                {
                    type: Label.xtype,
                    text: "浮动式的中间布局",
                    cls: "layout-bg2",
                    whiteSpace: "normal",
                }
            ],
            hgap: 20,
            vgap: 20,
        };
    }
}

