
import { FloatHorizontalLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class HorizontalFloatDemo extends Widget {
    static xtype = "demo.horizontal_float";

    props = { baseCls: "demo-horizontal-float" };

    render() {
        return {
            type: FloatHorizontalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "浮动式水平居中布局方案，用于宽度未知的情况",
                    cls: "layout-bg1",
                    height: 30,
                }
            ],
        };
    }
}

