
import { HTapeLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class HtapeLayoutDemo extends Widget {
    static xtype = "demo.htape";

    props = { baseCls: "demo-htape" };

    render() {
        return {
            type: HTapeLayout.xtype,
            items: [
                {
                    width: 100,
                    el: {
                        type: Label.xtype,
                        text: "1",
                        cls: "bi-background",
                    },
                },
                {
                    width: 200,
                    el: {
                        type: Label.xtype,
                        text: "2",
                        cls: "layout-bg2",
                    },
                },
                {
                    width: "fill",
                    el: {
                        type: Label.xtype,
                        text: "3",
                        cls: "layout-bg3",
                    },
                }
            ],
        };
    }
}

