
import { LeftRightVerticalAdaptLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class LeftRightVerticalAdaptLayoutDemo extends Widget {
    static xtype = "demo.left_right_vertical_adapt";

    props = { baseCls: "demo-left-right-vertical-adapt" };

    render() {
        return {
            type: LeftRightVerticalAdaptLayout.xtype,
            lhgap: 10,
            rhgap: 30,
            items: {
                left: [
                    {
                        type: Label.xtype,
                        text: "左边的垂直居中",
                        cls: "layout-bg1",
                        width: 100,
                        height: 30,
                    },
                    {
                        type: Label.xtype,
                        text: "左边的垂直居中",
                        cls: "layout-bg2",
                        width: 100,
                        height: 30,
                    }
                ],
                right: [
                    {
                        type: Label.xtype,
                        text: "右边的垂直居中",
                        cls: "layout-bg1",
                        width: 100,
                        height: 30,
                    },
                    {
                        type: Label.xtype,
                        text: "右边的垂直居中",
                        cls: "layout-bg2",
                        width: 100,
                        height: 30,
                    }
                ],
            },
        };
    }
}

