
import { VTapeLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class VtapeLayoutDemo extends Widget {
    static xtype = "demo.vtape";

    props = { baseCls: "demo-vtape" };

    render() {
        return {
            type: VTapeLayout.xtype,
            vgap: 10,
            items: [
                {
                    height: 100,
                    el: {
                        type: Label.xtype,
                        text: "1",
                        cls: "layout-bg1",
                    },
                    tgap: 10,
                    vgap: 10,
                },
                {
                    height: 200,
                    el: {
                        type: Label.xtype,
                        text: "2",
                        cls: "layout-bg2",
                    },
                },
                {
                    height: "fill",
                    el: {
                        type: Label.xtype,
                        text: "3",
                        cls: "layout-bg3",
                    },
                }
            ],
        };
    }
}

