import { VerticalLayout, Label, Segment, Decorators, Widget } from "@fui/core";

@Decorators.shortcut()
export class SegmentsDemo extends Widget {
    static xtype = "demo.segments";

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "默认风格"
                },
                {
                    type: Segment.xtype,
                    items: [
                        {
                            text: "tab1",
                            value: 1,
                            selected: true
                        },
                        {
                            text: "tab2",
                            value: 2
                        },
                        {
                            text: "tab3 disabled",
                            disabled: true,
                            value: 3
                        }
                    ]
                }
            ],
            hgap: 50,
            vgap: 20
        };
    }
}
