import {
    HorizontalAutoLayout,
    SearchEditor,
    SmallSearchEditor,
     Decorators,
    Widget
} from "@fui/core";

@Decorators.shortcut()
export class SearchEditorDemo extends Widget {
    static xtype = "demo.search_editor";

    props = { baseCls: "demo-exceltable" };

    render() {
        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: SearchEditor.xtype,
                    width: 300,
                    watermark: "添加合法性判断",
                    errorText: "长度必须大于4",
                    validationChecker() {
                        return this.getValue().length > 4;
                    }
                },
                {
                    type: SmallSearchEditor.xtype,
                    width: 300,
                    watermark: "这个是 small,小一号"
                }
            ],
            vgap: 20
        };
    }
}
