
import { HorizontalAutoLayout, TimeCombo, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class TimeComboDemo extends Widget {
    static xtype = "demo.time_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: TimeCombo.xtype,
                    ref(_ref) {
                        self.timeCombo = _ref;
                    },
                    // allowEdit: true,
                    // format: "%H:%M:%S",  // HH:mm:ss
                    // format: "%I:%M:%S",  // hh:mm:ss
                    // format: "%l:%M:%S",  // h:mm:ss
                    // format: "%k:%M:%S",  // H:mm:ss
                    // format: "%l:%M:%S %p",  // h:mm:ss a
                    // format: "%l:%M",  // h:mm
                    // format: "%k:%M",  // H:mm
                    // format: "%I:%M",  // hh:mm
                    // format: "%H:%M",  // HH:mm
                    // format: "%M:%S",  // mm:ss
                    value: {
                        hour: 12,
                        minute: 0,
                        second: 0,
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.timeCombo.getValue()));
                    },
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }
}

