import { Widget, Button, $, HTapeLayout, TextButton, FloatRightLayout, } from "@fui/core";

export class North extends Widget {
    static xtype = "demo.north";
    static EVENT_VALUE_CHANGE = "EVENT_VALUE_CHANGE";

    props = {
        baseCls: "demo-north"
    };

    render() {
        var self = this;
        return {
            type: HTapeLayout.xtype,
            items: [
                {
                    width: 230,
                    el: {
                        type: TextButton.xtype,
                        listeners: [
                            {
                                eventName: Button.EVENT_CHANGE,
                                action: function () {
                                    // self.fireEvent(
                                    //     Demo.North.EVENT_VALUE_CHANGE,
                                    //     ""
                                    // );
                                }
                            }
                        ],
                        cls: "logo",
                        height: 50,
                        text: "FineUI2.0"
                    }
                },
                {
                    el: {
                        type: FloatRightLayout.xtype,
                        hgap: 10,
                        items: [
                            {
                                type: TextButton.xtype,
                                text: "星空蓝",
                                handler: function () {
                                    $("html")
                                        .removeClass(undefined.xtype)
                                        .addClass(undefined.xtype);
                                }
                            },
                            {
                                type: TextButton.xtype,
                                text: "典雅白",
                                handler: function () {
                                    $("html")
                                        .removeClass(undefined.xtype)
                                        .addClass(undefined.xtype);
                                }
                            }
                        ]
                    }
                }
            ]
        };
    }
}

