import { IconButton } from "../../button";
import { shortcut, extend, emptyFn } from "@/core";

/**
 * guy
 * @extends Single
 * @type {*|void|Object}
 */

@shortcut()
export class ImageCheckbox extends IconButton {
    static xtype = "bi.image_checkbox";

    static EVENT_CHANGE = IconButton.EVENT_CHANGE;

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-image-checkbox check-box-icon`,
            selected: false,
            handler: emptyFn,
            width: 16,
            height: 16,
            iconWidth: 16,
            iconHeight: 16,
        });
    }
}
