import { IconButton } from "@/base";
import { shortcut, extend } from "@/core";

/**
 *  统一的trigger图标按钮
 *
 * Created by GUY on 2015/9/16.
 * @class TriggerIconButton
 * @extends IconButton
 */
@shortcut()
export class TriggerIconButton extends IconButton {
    static xtype = "bi.trigger_icon_button";
    static EVENT_CHANGE = IconButton.EVENT_CHANGE;

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-trigger-icon-button overflow-hidden`,
            extraCls: "pull-down-font",
        });
    }
}
