/**
 * guy
 * 标红行为
 */
import { Behavior } from "./0.behavior";
import { each } from "../2.base";
import { Single } from "@/base/single/0.single";

export class RedMarkBehavior extends Behavior {
    doBehavior(items) {
        const args = Array.prototype.slice.call(arguments, 1),
            { rule } = this.options;
        each(items, (i, item) => {
            if (item instanceof Single) {
                if (rule(item.getValue(), item)) {
                    item.doRedMark && item.doRedMark(...args);
                } else {
                    item.doRedMark && item.unRedMark(...args);
                }
            } else {
                item.doBehavior && item.doBehavior(...args);
            }
        });
    }
}
