import { isNull } from "../../2.base";

export const registDataFun = Element => {
    Element.registerFunction("data", function (key, value) {
        if (!this._data) {
            this._data = {};
        }
        if (isNull(value)) {
            return this._data[key];
        }
        this._data[key] = value;
        
        return this;
    });
};
