import { createWidget } from "../../5.inject";
import { htmlDecode } from "../../func";

export const registHtmlFun = Element => {
    Element.registerFunction("html", function (text) {
        if (text && text.charAt(0) === "<") {
            createWidget({
                type: "bi.html",
                element: this.widget,
                html: text,
            });
            this.originalHtml = text;
        } else {
            this.text = htmlDecode(text);
        }
        
        return this;
    });
};
