import { shortcut, extend } from "@/core";
import { TextEditor } from "./editor.text";

@shortcut()
export class SmallTextEditor extends TextEditor {
    static xtype = "bi.small_text_editor";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-small-text-editor`,
            height: 20,
        });
    }

    _init() {
        super._init(...arguments);
    }
}
