import { Layout } from "../wrapper/layout";
import { Controller } from "./controller";

type ResizeHandler = (event: DeviceOrientationEvent | UIEvent) => any;

export declare class ResizeController extends Controller {
    add(name: string, resizer: Layout | ResizeHandler): () => this;

    get(name: string): Layout | ResizeHandler;

    has(name: string): boolean;

    remove(name: string): this;
}
