import { Widget } from "./widget";

export declare function module(xtype: string, cls: any): void;

export declare function constant<T>(xtype: string, cls: T): (() => T);

export declare function model(xtype: string, cls: any): Function;

export declare function store(xtype: string, cls: any): Function;

export declare function service(xtype: string, cls: any): Function;

export declare function provider(xtype: string, cls: any): Function;

export declare namespace Modules {
    function getModule(type: string): any;

    function getAllModules(): any;
}

export declare namespace Constants {
    function getConstant(type: string): any;
}

export declare namespace Models {
    function getModel(type: string, options?: any): any;
}

export declare namespace Stores {
    function getStore(type: string, options?: any): any;
}

export declare namespace Providers {
    function getProvider(type: string, options?: any): any;
}

export declare namespace Services {
    function getService(type: string, options?: any): any;
}

export declare function createWidget(item: any, options?: any, context?: Widget, lazy?: boolean): Widget

export declare function point(type: string, action: string, pointFn: Function, after: any): void

export declare function config(type: string, configFn: Function, opt?: any): Function
