import { Single } from "../../base/single/single";
import { DynamicDateTimeComboValue } from "../dynamicdatetime/dynamicdatetime.combo";

export declare class TimeInterval extends Single {
    static xtype: string;
    static EVENT_CHANGE: string;
    static EVENT_VALID: string;
    static EVENT_ERROR: string;

    props: {
        minDate?: string;
        maxDate?: string;
        supportDynamic?: boolean;
        watermark?: string;
        simple?: boolean;
    } & Single['props'];

    getValue(): {
        start: DynamicDateTimeComboValue;
        end: DynamicDateTimeComboValue;
    };

    setMinDate(minDate: string): void;

    setMaxDate(minDate: string): void;
}
