import { Widget } from "../../core/widget";

export declare class DynamicYearCombo extends Widget {
    static xtype: string;
    static Static: number;
    static Dynamic: number;
    static EVENT_CONFIRM: string;
    static EVENT_BEFORE_POPUPVIEW: string;

    getValue(): DynamicYearComboValue;

    setMinDate(minDate: string): void;

    setMaxDate(maxDate: string): void;
}

export interface DynamicYearComboValue {
    type: number;
    value: {
        year: number;
    };
}
