import { Single } from "../../base/single/single";
import { DynamicYearComboValue } from "../year/combo.year";

export declare class YearInterval extends Single {
    static xtype: string;
    static EVENT_VALID: string;
    static EVENT_ERROR: string;
    static EVENT_CHANGE: string;
    static EVENT_BEFORE_POPUPVIEW: string;

    props: {
        simple?: boolean;
    } & Single['props'];

    getValue(): {
        start: DynamicYearComboValue;
        end: DynamicYearComboValue;
    };

    setMinDate(minDate: string): void;

    setMaxDate(maxDate: string): void;
}
