import { Single } from '../../base/single/single';
import { DynamicYearMonthComboValue } from '../yearmonth/combo.yearmonth';

export declare class YearMonthInterval extends Single {
    static xtype: string;
    static EVENT_VALID: string;
    static EVENT_ERROR: string;
    static EVENT_CHANGE: string;
    static EVENT_BEFORE_POPUPVIEW: string;

    props: {
        simple?: boolean;
    } & Single['props'];

    getValue(): {
        start: DynamicYearMonthComboValue;
        end: DynamicYearMonthComboValue;
    };

    setMinDate(minDate: string): void;

    setMaxDate(maxDate: string): void;
}
