import { Single } from "../../base/single/single";
import { DynamicYearQuarterComboValue } from "../yearquarter/combo.yearquarter";

export declare class YearQuarterInterval extends Single {
    static xtype: string;
    static EVENT_VALID: string;
    static EVENT_ERROR: string;
    static EVENT_CHANGE: string;
    static EVENT_BEFORE_POPUPVIEW: string;

    props: {
        simple?: boolean;
    } & Single['props'];

    getValue(): {
        start: DynamicYearQuarterComboValue;
        end: DynamicYearQuarterComboValue;
    };

    setMinDate(minDate: string): void;

    setMaxDate(maxDate: string): void;
}
